/* cmd_neonfun.h - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef _cmd_neonfun_h
#define _cmd_neonfun_h
#include "../module.h"
#include "../../main.h"
#include "../../modcmd.h"
#include "../../IRCParser.h"
#include "../../IRCEvents.h"
#include "../../UserNode.h"
#include "../../ChanNode.h"
#include "../../ChanUser.h"
#include "../../ModeNode.h"
#include "../../BanNode.h"
#include "../../ClientSocket.h"
#include "../../mysqlConn.h"
#include "../../lang.h"
#include "../../HandleInfoHandler.h"
#include "../../WHOHandler.h"
#include "../../DBHelper.h"
#include "../../tools.h"
#include "../../timeq.h"
#include "../../version.h"
#include "../../EventLogger.h"
#include "../../bots.h"
#include "../../ConfigParser.h"
#include "bot_NeonFun.h"

void register_commands();

CMD_BIND(neonfun_cmd_uno);
CMD_BIND(neonfun_cmd_unotake);
CMD_BIND(neonfun_cmd_unoplay);

CMD_BIND(neonfun_cmd_4wins);
CMD_BIND(neonfun_cmd_4stone);
CMD_BIND(neonfun_cmd_4view);

CMD_BIND(neonfun_cmd_blackjack);
CMD_BIND(neonfun_cmd_bjtake);
CMD_BIND(neonfun_cmd_bjenough);

#endif
