/* log.h - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef _log_h
#define _log_h
#include "main.h"

#define LOG_INFO     0x01
#define LOG_DEBUG    0x02
#define LOG_IRCRAW   0x04
#define LOG_MYSQL    0x08
#define LOG_OVERRIDE 0x10
#define LOG_WARNING  0x20
#define LOG_ERROR    0x40
#define LOG_FATAL    0x80

#define LOG_ALL      0xff
#define LOG_SECTIONS 8

#ifndef DND_FUNCTIONS

void printf_log(const char *module, const int section, const char *text, ...);
void init_log();

#endif
#endif
