/* cmd_neonserv_addrank.c - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "cmd_neonserv.h"

/*
* argv[0-*]   rank name
*/

CMD_BIND(neonserv_cmd_addrank) {
    char *name = merge_argv(argv, 0, argc);
    MYSQL_RES *res;
    MYSQL_ROW row;
    printf_mysql_query("SELECT `rank_name` FROM `support_ranks` WHERE `rank_name` = '%s'", escape_string(name));
    res = mysql_use();
    if ((row = mysql_fetch_row(res)) != NULL) {
        reply(textclient, user, "NS_ADDRANK_EXISTS", row[0]);
        return;
    }
    printf_mysql_query("INSERT INTO `support_ranks` (`rank_name`) VALUES ('%s')", escape_string(name));
    reply(textclient, user, "NS_ADDRANK_DONE", name);
}
