/* cmd_global_addbot.c - NeonServ v5.6
 * Copyright (C) 2011-2012  Philipp Kreil (pk910)
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License 
 * along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */

#include "cmd_global.h"

/*
* argv[0]  nick
* argv[1]  class
*/

CMD_BIND(global_cmd_addbot) {
    MYSQL_RES *res;
    int botid;
    if((botid = resolve_botalias(argv[1])) == -1) {
        reply(textclient, user, "NS_SETBOT_INVALID_CLASS", argv[1]);
        return;
    }
    printf_mysql_query("SELECT `id` FROM `bots` WHERE `nick` = '%s'", escape_string(argv[0]));
    res = mysql_use();
    if(mysql_fetch_row(res)) {
        reply(textclient, user, "NS_ADDBOT_EXISTING", argv[0]);
        return;
    }
    printf_mysql_query("INSERT INTO `bots` (`nick`, `botclass`) VALUES ('%s', '%d')", escape_string(argv[0]), botid);
    botid = (int) mysql_insert_id(get_mysql_conn());
    reply(textclient, user, "NS_ADDBOT_DONE", argv[0], botid);
    logEvent(event);
}

